X11.XTest (JNA API)

com.sun.jna.platform.unix

## Interface X11.XTest

- All Superinterfaces:
    Library
  Enclosing interface:
    X11

      public static interface X11.XTest
      extends Library

  Definition of the XTest library.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Library

      `Library.Handler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static X11.XTest` | `INSTANCE`

    - ### Fields inherited from interface com.sun.jna.Library

      `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `XTestCompareCurrentCursorWithWindow(X11.Display display, X11.Window window)`
    `boolean` | `XTestCompareCursorWithWindow(X11.Display display, X11.Window window, X11.Cursor cursor)`
    `int` | `XTestDiscard(X11.Display display)`
    `int` | `XTestFakeButtonEvent(X11.Display display, int button, boolean is_press, NativeLong delay)`
    `int` | `XTestFakeDeviceButtonEvent(X11.Display display, X11.XDeviceByReference dev, int button, boolean is_press, IntByReference axes, int n_axes, NativeLong delay)`
    `int` | `XTestFakeDeviceKeyEvent(X11.Display display, X11.XDeviceByReference dev, int keycode, boolean is_press, IntByReference axes, int n_axes, NativeLong delay)`
    `int` | `XTestFakeDeviceMotionEvent(X11.Display display, X11.XDeviceByReference dev, boolean is_relative, int first_axis, IntByReference axes, int n_axes, NativeLong delay)`
    `int` | `XTestFakeKeyEvent(X11.Display display, int keycode, boolean is_press, NativeLong delay)`
    `int` | `XTestFakeMotionEvent(X11.Display display, int screen, int x, int y, NativeLong delay)`
    `int` | `XTestFakeProximityEvent(X11.Display display, X11.XDeviceByReference dev, boolean in_prox, IntByReference axes, int n_axes, NativeLong delay)`
    `int` | `XTestFakeRelativeMotionEvent(X11.Display display, int x, int y, NativeLong delay)`
    `int` | `XTestGrabControl(X11.Display display, boolean impervious)`
    `boolean` | `XTestQueryExtension(X11.Display display, IntByReference event_basep, IntByReference error_basep, IntByReference majorp, IntByReference minorp)`
    `void` | `XTestSetVisualIDOfVisual(X11.Visual visual, X11.VisualID visualid)`

- - ### Field Detail

    - #### INSTANCE

          static final X11.XTest INSTANCE

  - ### Method Detail

    - #### XTestQueryExtension

          boolean XTestQueryExtension(X11.Display display,
                                      IntByReference event_basep,
                                      IntByReference error_basep,
                                      IntByReference majorp,
                                      IntByReference minorp)

    - #### XTestCompareCursorWithWindow

          boolean XTestCompareCursorWithWindow(X11.Display display,
                                               X11.Window window,
                                               X11.Cursor cursor)

    - #### XTestCompareCurrentCursorWithWindow

          boolean XTestCompareCurrentCursorWithWindow(X11.Display display,
                                                      X11.Window window)

    - #### XTestFakeKeyEvent

          int XTestFakeKeyEvent(X11.Display display,
                                int keycode,
                                boolean is_press,
                                NativeLong delay)

    - #### XTestFakeButtonEvent

          int XTestFakeButtonEvent(X11.Display display,
                                   int button,
                                   boolean is_press,
                                   NativeLong delay)

    - #### XTestFakeMotionEvent

          int XTestFakeMotionEvent(X11.Display display,
                                   int screen,
                                   int x,
                                   int y,
                                   NativeLong delay)

    - #### XTestFakeRelativeMotionEvent

          int XTestFakeRelativeMotionEvent(X11.Display display,
                                           int x,
                                           int y,
                                           NativeLong delay)

    - #### XTestFakeDeviceKeyEvent

          int XTestFakeDeviceKeyEvent(X11.Display display,
                                      X11.XDeviceByReference dev,
                                      int keycode,
                                      boolean is_press,
                                      IntByReference axes,
                                      int n_axes,
                                      NativeLong delay)

    - #### XTestFakeDeviceButtonEvent

          int XTestFakeDeviceButtonEvent(X11.Display display,
                                         X11.XDeviceByReference dev,
                                         int button,
                                         boolean is_press,
                                         IntByReference axes,
                                         int n_axes,
                                         NativeLong delay)

    - #### XTestFakeProximityEvent

          int XTestFakeProximityEvent(X11.Display display,
                                      X11.XDeviceByReference dev,
                                      boolean in_prox,
                                      IntByReference axes,
                                      int n_axes,
                                      NativeLong delay)

    - #### XTestFakeDeviceMotionEvent

          int XTestFakeDeviceMotionEvent(X11.Display display,
                                         X11.XDeviceByReference dev,
                                         boolean is_relative,
                                         int first_axis,
                                         IntByReference axes,
                                         int n_axes,
                                         NativeLong delay)

    - #### XTestGrabControl

          int XTestGrabControl(X11.Display display,
                               boolean impervious)

    - #### XTestSetVisualIDOfVisual

          void XTestSetVisualIDOfVisual(X11.Visual visual,
                                        X11.VisualID visualid)

    - #### XTestDiscard

          int XTestDiscard(X11.Display display)

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.